## gtk-vnc 0.6.0

=== debian/changelog ===
gtk-vnc (0.6.0-3) unstable; urgency=medium

  * [b8d9918] CVE-2017-5884: Fix bounds checking for RRE, hextile & copyrect
    encodings
  * [ca87ace] CVE-2017-5885: Correctly validate color map range indexes
    (Closes: #854450)
  * [0e71020] Link against GIO_LIBS explicitly to fix build failure
  * [7d3fdde] Rediff patches to make them more git-format-patch compatible

 -- Guido Günther <agx@sigxcpu.org>  Fri, 10 Feb 2017 14:20:29 +0100

gtk-vnc (0.6.0-2) unstable; urgency=medium

  * Team upload.
  * Added changes from Ubuntu to add multiarch and avoid a FTBFS.
  * Migrations:
      - debian/copyright to 1.0 format.
      - DH level to 10.
  * Used wrap-and-sort -ast.
  * debian/control:
      - Added a Homepage field.
      - Add dh-python to Build-Depends field.
      - Fixed duplicate descriptions.
      - Fixed the GObject word.
      - Removed a dot from short description.
      - Removed a MIA co-maintainer.
      - Removed unneeded build dependency autotools-dev (using dh-autoreconf
        now).
      - Updated Vcs-* fields.
  * debian/gvncviewer.install: added a manpage for gvnccapture.
  * debian/patches/Add-m4.patch: created to add '-I m4' option to Makefile.am.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.
      - Removed no longer necessary autoreconf addon.
  * debian/watch:
      - Bumped to version 4.
      - Removed an extra line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 08 Jan 2017 13:40:17 -0200

gtk-vnc (0.6.0-1) unstable; urgency=medium

  * [2f71b54] gbp.conf: Follow DEP14
  * [a10053d] New upstream version 0.6.0
    Closes: #836854
  * [c58efd2] Fixup gbp section name
  * [5be7c29] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 Sep 2016 15:19:44 +0200

gtk-vnc (0.5.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Use dh-autoreconf (Patch by Breno Leitao). Closes: #746403

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Aug 2014 19:12:31 +0200

gtk-vnc (0.5.3-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Change (build-)dependencies from libgnutls-dev to libgnutls28-dev and add
    a build-dependency on libgcrypt20-dev. Closes: #745946
  * Upload to experimental to test buildability.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Aug 2014 15:24:38 +0200

gtk-vnc (0.5.3-1) unstable; urgency=medium

  * [66e3bf7] Imported Upstream version 0.5.3
  * [c1d21eb] Redo patch
  * [f5c94bf] Update symbols

 -- Laurent Léonard <laurent@open-minds.org>  Sun, 04 May 2014 02:34:06 +0200

gtk-vnc (0.5.2-3) unstable; urgency=medium

  * [d2a1860] Depend on valac (>= 0.20) instead of valac-0.20 to ease vala
    upgrades (Closes: #739026, #738999)
  * [96583cf] Remove DM-Upload-Allowed.  Not used anymore.
  * [56298bf] Remove xul-runner build-dep since we don't build the iceweasel
    plugin since ages
  * [fd993d0] Move introspection data to section introspection
  * [e113a9b] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2014 12:49:11 +0100

gtk-vnc (0.5.2-2) unstable; urgency=low

  * [c792964] Switch to Vala 0.20 (Closes: #709166, #675645)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 May 2013 07:49:19 +0200

=== debian/control ===
Source: gtk-vnc
Section: gnome
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
Standards-Version: 3.9.8
Build-Depends:
 debhelper (>= 10),
 dh-autoreconf,
 dh-python,
 gobject-introspection,
 intltool,
 libcairo2-dev,
 libffi-dev,
 libgcrypt20-dev,
 libgirepository1.0-dev,
 libgnutls28-dev,
 libgtk-3-dev,
 libgtk2.0-dev,
 libpulse-dev,
 libsasl2-dev,
 libtext-csv-perl,
 libtool,
 python-dev,
 python-gtk2-dev (>= 2.0),
 valac (>= 0.20),
Build-Conflicts:
 libffi4-dev,
 valac-0.12,
X-Python-Version: >= 2.5
Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/gtk-vnc.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-libvirt/gtk-vnc.git
Homepage: https://wiki.gnome.org/Projects/gtk-vnc

Package: libgvnc-1.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 libgtk-vnc-1.0-0 (<= 0.4.3-1),
Description: VNC GObject wrapper (runtime libraries)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the shared library.

Package: libgvnc-1.0-0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends:
 libgvnc-1.0-0 (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libgtk-vnc-1.0-0-dbg (<< 0.4.3-2),
Replaces:
 libgtk-vnc-1.0-0-dbg (<< 0.4.3-2),
Priority: extra
Description: VNC GObject wrapper (debugging symbols)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the debugging symbols for libgvnc.

Package: libgvnc-1.0-dev
Architecture: any
Section: libdevel
Depends:
 libcairo2-dev (>= 1.2.0),
 libglib2.0-dev,
 libgnutls28-dev,
 libgvnc-1.0-0 (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 libgtk-vnc-1.0-dev (<= 0.4.3-1),
Description: VNC GObject wrapper (development files)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the development headers for libgvnc-1.0 and
 Vala bindings.

Package: libgtk-vnc-1.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: VNC viewer widget for GTK+2 (runtime libraries)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the shared library built for GTK+2.

Package: libgtk-vnc-1.0-0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends:
 libgtk-vnc-1.0-0 (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Priority: extra
Description: VNC viewer widget for GTK+2 (debugging symbols)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the debugging symbols for libgtk-vnc-1.0.

Package: libgtk-vnc-1.0-dev
Architecture: any
Section: libdevel
Depends:
 libcairo2-dev (>= 1.2.0),
 libgnutls28-dev,
 libgtk-vnc-1.0-0 (= ${binary:Version}),
 libgtk2.0-dev (>= 2.0),
 libgvnc-1.0-dev (= ${binary:Version}),
 ${misc:Depends},
Description: VNC viewer widget for GTK+2 (development files)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the development headers.

Package: libgtk-vnc-2.0-0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: VNC viewer widget for GTK+3 (runtime libraries)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the shared library built for GTK+3.

Package: libgtk-vnc-2.0-0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends:
 libgtk-vnc-2.0-0 (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Priority: extra
Description: VNC viewer widget for GTK+3 (debugging symbols)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the debugging symbols for libgtk-vnc-2.0.

Package: libgtk-vnc-2.0-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-gtk-vnc-2.0 (= ${binary:Version}),
 libcairo2-dev (>= 1.2.0),
 libgnutls28-dev,
 libgtk-3-dev,
 libgtk-vnc-2.0-0 (= ${binary:Version}),
 libgvnc-1.0-dev (= ${binary:Version}),
 ${misc:Depends},
Description: VNC viewer widget for GTK+3 (development files)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the development headers for libgtk-vnc-2.0 and Vala
 bindings.

Package: gir1.2-gtk-vnc-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Provides:
 gir1.2-gvnc-1.0,
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: GObject introspection data for GTK-VNC
 This package contains introspection data for the GTK-VNC library.
 .
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: python-gtk-vnc
Architecture: any
Section: python
Depends:
 python-gtk2 (>= 2.0),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: VNC viewer widget for GTK+2 (Python binding)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the Python binding.

Package: gvncviewer
Architecture: any
Section: x11
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: VNC viewer using gtk-vnc
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the VNC viewer and VNC capture utility.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python2,autoreconf

override_dh_auto_configure:
	dh_auto_configure -B build/gtk2 -- --with-gtk=2.0 \
                                           --with-python \
                                           --disable-introspection \
                                           --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
                                           $(shell dpkg-buildflags --export=configure)
	dh_auto_configure -B build/gtk3 -- --with-gtk=3.0 \
                                           --with-examples \
                                           --enable-introspection \
                                           --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
                                           $(shell dpkg-buildflags --export=configure)

override_dh_auto_build:
	dh_auto_build -D build/gtk2
	dh_auto_build -D build/gtk3

override_dh_auto_install:
	dh_auto_install -D build/gtk2 --destdir=debian/gtk2
	dh_auto_install -D build/gtk3 --destdir=debian/gtk3

override_dh_auto_clean:
	rm -rf debian/gtk2 debian/gtk3 build
	dh_auto_clean -B build/gtk2
	dh_auto_clean -B build/gtk3

override_dh_auto_test:
	dh_auto_test -B build/gtk2
	dh_auto_test -B build/gtk3

override_dh_install:
	dh_install -plibgvnc-1.0-0 \
                   -plibgvnc-1.0-dev \
                   -plibgtk-vnc-2.0-0 \
                   -plibgtk-vnc-2.0-dev \
                   -pgir1.2-gtk-vnc-2.0 \
                   -pgvncviewer \
                  --sourcedir=debian/gtk3

	dh_install -plibgtk-vnc-1.0-0 \
                   -plibgtk-vnc-1.0-dev \
                   -ppython-gtk-vnc \
                  --sourcedir=debian/gtk2

override_dh_strip:
	dh_strip -plibgvnc-1.0-0 --dbg-package=libgvnc-1.0-0-dbg
	dh_strip -plibgtk-vnc-1.0-0 --dbg-package=libgtk-vnc-1.0-0-dbg
	dh_strip -plibgtk-vnc-2.0-0 --dbg-package=libgtk-vnc-2.0-0-dbg
	dh_strip -pgvncviewer -ppython-gtk-vnc

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_makeshlibs:
	dh_makeshlibs -plibgtk-vnc-1.0-0 -V 'libgtk-vnc-1.0-0 (>= 0.3.9)'
	dh_makeshlibs -a -Nlibgtk-vnc-1.0-0
	dh_girepository

=== debian/watch ===
version=4
http://ftp.gnome.org/pub/GNOME/sources/gtk-vnc/([\d\.]+)/ \
        gtk-vnc-([\d\.]+)\.tar\.xz

## gtk-vnc 0.7.1

=== debian/changelog ===
gtk-vnc (0.7.1-1) unstable; urgency=medium

  * [a223999] New upstream version 0.7.1
  * [16c4865] Drop patches included in this release
    security/Don-t-accept-color-map-entries-for-true-color-pixel-forma.patch
    security/Correctly-validate-color-map-range-indexes.patch
    security/Fix-bounds-checking-for-RRE-hextile-copyrect-encodings.patch
    Link-against-GIO_LIBS-explicitly.patch
  * [3b8e281] Add new symbols

 -- Guido Günther <agx@sigxcpu.org>  Tue, 01 Aug 2017 11:57:04 -0300

## gtk-vnc 0.7.2

=== debian/changelog ===
gtk-vnc (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * [268c8ce] gbp.conf: use id-length to correlate git commits to changelog
    entries
  * [222b710] Bump standards version
  * [4a63e15] Drop debug packages
  * [f4213bf] d/watch: Use https

 -- Guido Günther <agx@sigxcpu.org>  Tue, 27 Mar 2018 20:19:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Build-Depends:
  debhelper (>= 10),
  dh-autoreconf,
@@ -55,30 +55,6 @@
  .
  This package contains the shared library.
 
-Package: libgvnc-1.0-0-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends:
- libgvnc-1.0-0 (=${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Breaks:
- libgtk-vnc-1.0-0-dbg (<< 0.4.3-2),
-Replaces:
- libgtk-vnc-1.0-0-dbg (<< 0.4.3-2),
-Priority: extra
-Description: VNC GObject wrapper (debugging symbols)
- It is built using coroutines, allowing it to be completely asynchronous while
- remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
- VeNCrypt authentication extension providing SSL/TLS encryption with x509
- certificate authentication.
- .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
- .
- This package contains the debugging symbols for libgvnc.
-
 Package: libgvnc-1.0-dev
 Architecture: any
 Section: libdevel
@@ -122,26 +98,6 @@
  .
  This package contains the shared library built for GTK+2.
 
-Package: libgtk-vnc-1.0-0-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends:
- libgtk-vnc-1.0-0 (=${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Priority: extra
-Description: VNC viewer widget for GTK+2 (debugging symbols)
- It is built using coroutines, allowing it to be completely asynchronous while
- remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
- VeNCrypt authentication extension providing SSL/TLS encryption with x509
- certificate authentication.
- .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
- .
- This package contains the debugging symbols for libgtk-vnc-1.0.
-
 Package: libgtk-vnc-1.0-dev
 Architecture: any
 Section: libdevel
@@ -181,26 +137,6 @@
  .
  This package contains the shared library built for GTK+3.
 
-Package: libgtk-vnc-2.0-0-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends:
- libgtk-vnc-2.0-0 (=${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Priority: extra
-Description: VNC viewer widget for GTK+3 (debugging symbols)
- It is built using coroutines, allowing it to be completely asynchronous while
- remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
- VeNCrypt authentication extension providing SSL/TLS encryption with x509
- certificate authentication.
- .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
- .
- This package contains the debugging symbols for libgtk-vnc-2.0.
-
 Package: libgtk-vnc-2.0-dev
 Architecture: any
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,9 @@
                   --sourcedir=debian/gtk2
 
 override_dh_strip:
-	dh_strip -plibgvnc-1.0-0 --dbg-package=libgvnc-1.0-0-dbg
-	dh_strip -plibgtk-vnc-1.0-0 --dbg-package=libgtk-vnc-1.0-0-dbg
-	dh_strip -plibgtk-vnc-2.0-0 --dbg-package=libgtk-vnc-2.0-0-dbg
+	dh_strip -plibgvnc-1.0-0
+	dh_strip -plibgtk-vnc-1.0-0
+	dh_strip -plibgtk-vnc-2.0-0
 	dh_strip -pgvncviewer -ppython-gtk-vnc
 
 override_dh_python2:

## gtk-vnc 0.9.0

=== debian/changelog ===
gtk-vnc (0.9.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * fix-unit-test-race.diff: New patch, fixes a race condition in unit tests
    which would cause FTBFS, especially on builds with only a single CPU.
    (Closes: #909417)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 21 Mar 2019 09:24:41 +0100

gtk-vnc (0.9.0-1) unstable; urgency=medium

  * [ffcc52b] New upstream version 0.9.0
  * [a4bcc35] Drop PyGTK specific bindings.
    Use GObject introspection instead. (Closes: #885376)
  * [4e767fd] Bump build-deps. Upstream requires newer versions.
  * [1842f7f] d/copyright: drop copyright of now gone files
  * [855b8e1] d/control: Use salsa URL
  * [dbf297c] Rediff patches
  * [511748f] gvnc-1.0.pc.in: Use GLIB_REQUIRED

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 Aug 2018 18:17:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,29 +8,26 @@
 Build-Depends:
  debhelper (>= 10),
  dh-autoreconf,
- dh-python,
  gobject-introspection,
  intltool,
  libcairo2-dev,
  libffi-dev,
- libgcrypt20-dev,
+ libgcrypt20-dev (>= 1.5.0),
  libgirepository1.0-dev,
- libgnutls28-dev,
+ libglib2.0-dev (>= 2.42.0),
+ libgnutls28-dev (>= 3.1.18),
  libgtk-3-dev,
  libgtk2.0-dev,
  libpulse-dev,
  libsasl2-dev,
  libtext-csv-perl,
  libtool,
- python-dev,
- python-gtk2-dev (>= 2.0),
  valac (>= 0.20),
 Build-Conflicts:
  libffi4-dev,
  valac-0.12,
-X-Python-Version: >= 2.5
-Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/gtk-vnc.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-libvirt/gtk-vnc.git
+Vcs-Git: https://salsa.debian.org/libvirt-team/gtk-vnc.git
+Vcs-Browser: https://salsa.debian.org/libvirt-team/gtk-vnc
 Homepage: https://wiki.gnome.org/Projects/gtk-vnc
 
 Package: libgvnc-1.0-0
@@ -50,8 +47,9 @@
  VeNCrypt authentication extension providing SSL/TLS encryption with x509
  certificate authentication.
  .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
+ The core library is written in C and a bindings for other languages are
+ available via GObject introspection. The networking layer supports connections
+ over both IPv4 and IPv6.
  .
  This package contains the shared library.
 
@@ -72,8 +70,9 @@
  VeNCrypt authentication extension providing SSL/TLS encryption with x509
  certificate authentication.
  .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
+ The core library is written in C and a bindings for other languages are
+ available via GObject introspection. The networking layer supports connections
+ over both IPv4 and IPv6.
  .
  This package contains the development headers for libgvnc-1.0 and
  Vala bindings.
@@ -93,8 +92,9 @@
  VeNCrypt authentication extension providing SSL/TLS encryption with x509
  certificate authentication.
  .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
+ The core library is written in C and a bindings for other languages are
+ available via GObject introspection. The networking layer supports connections
+ over both IPv4 and IPv6.
  .
  This package contains the shared library built for GTK+2.
 
@@ -114,10 +114,12 @@
  VeNCrypt authentication extension providing SSL/TLS encryption with x509
  certificate authentication.
  .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
- .
- This package contains the development headers.
+ The core library is written in C and a bindings for other languages are
+ available via GObject introspection. The networking layer supports connections
+ over both IPv4 and IPv6.
+ .
+ This package contains the development headers for programs built against
+ GTK+2.
 
 Package: libgtk-vnc-2.0-0
 Architecture: any
@@ -132,8 +134,9 @@
  VeNCrypt authentication extension providing SSL/TLS encryption with x509
  certificate authentication.
  .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
+ The core library is written in C and a bindings for other languages are
+ available via GObject introspection. The networking layer supports connections
+ over both IPv4 and IPv6.
  .
  This package contains the shared library built for GTK+3.
 
@@ -154,8 +157,9 @@
  VeNCrypt authentication extension providing SSL/TLS encryption with x509
  certificate authentication.
  .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
+ The core library is written in C and a bindings for other languages are
+ available via GObject introspection. The networking layer supports connections
+ over both IPv4 and IPv6.
  .
  This package contains the development headers for libgtk-vnc-2.0 and Vala
  bindings.
@@ -181,25 +185,6 @@
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
-Package: python-gtk-vnc
-Architecture: any
-Section: python
-Depends:
- python-gtk2 (>= 2.0),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Description: VNC viewer widget for GTK+2 (Python binding)
- It is built using coroutines, allowing it to be completely asynchronous while
- remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
- VeNCrypt authentication extension providing SSL/TLS encryption with x509
- certificate authentication.
- .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
- .
- This package contains the Python binding.
-
 Package: gvncviewer
 Architecture: any
 Section: x11
@@ -212,7 +197,8 @@
  VeNCrypt authentication extension providing SSL/TLS encryption with x509
  certificate authentication.
  .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
+ The core library is written in C and a bindings for other languages are
+ available via GObject introspection. The networking layer supports connections
+ over both IPv4 and IPv6.
  .
  This package contains the VNC viewer and VNC capture utility.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python2,autoreconf
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -B build/gtk2 -- --with-gtk=2.0 \
-                                           --with-python \
                                            --disable-introspection \
                                            --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
                                            $(shell dpkg-buildflags --export=configure)
@@ -45,17 +44,13 @@
 
 	dh_install -plibgtk-vnc-1.0-0 \
                    -plibgtk-vnc-1.0-dev \
-                   -ppython-gtk-vnc \
                   --sourcedir=debian/gtk2
 
 override_dh_strip:
 	dh_strip -plibgvnc-1.0-0
 	dh_strip -plibgtk-vnc-1.0-0
 	dh_strip -plibgtk-vnc-2.0-0
-	dh_strip -pgvncviewer -ppython-gtk-vnc
-
-override_dh_python2:
-	dh_python2 --no-guessing-versions
+	dh_strip -pgvncviewer
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibgtk-vnc-1.0-0 -V 'libgtk-vnc-1.0-0 (>= 0.3.9)'

## gtk-vnc 1.0.0

=== meson_options.txt ===
option('enable-werror', type: 'boolean',  value: false, description: 'Enable -Werror flag')
option('with-coroutine', type: 'string', value: 'auto', description: 'Build with coroutine backend: [auto, ucontext, gthread]')
option('with-tls-priority', type: 'string', value: 'NORMAL', description: 'Set default TLS priority string')
option('with-vala', type: 'boolean', value: true, description: 'Enable Vala bindings')

=== debian/changelog ===
gtk-vnc (1.0.0-1build2) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 18:51:11 -0500

gtk-vnc (1.0.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:12 +0100

gtk-vnc (1.0.0-1) unstable; urgency=medium

  * [4a01f76] New upstream version 1.0.0
  * [50647d2] Drop gtk2 and switch to meson
  * [f8b078f] Bump standards version
  * [1254e9e] Bump debhelper compat level to 12
  * [06d4971] Add salsa-ci pipeline

 -- Guido Günther <agx@sigxcpu.org>  Thu, 31 Oct 2019 19:40:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Build-Depends:
- debhelper (>= 10),
- dh-autoreconf,
+ debhelper (>= 12),
+ dh-sequence-gir,
  gobject-introspection,
  intltool,
  libcairo2-dev,
@@ -17,11 +17,10 @@
  libglib2.0-dev (>= 2.42.0),
  libgnutls28-dev (>= 3.1.18),
  libgtk-3-dev,
- libgtk2.0-dev,
  libpulse-dev,
  libsasl2-dev,
  libtext-csv-perl,
- libtool,
+ meson,
  valac (>= 0.20),
 Build-Conflicts:
  libffi4-dev,
@@ -76,50 +75,6 @@
  .
  This package contains the development headers for libgvnc-1.0 and
  Vala bindings.
-
-Package: libgtk-vnc-1.0-0
-Architecture: any
-Multi-Arch: same
-Section: libs
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: VNC viewer widget for GTK+2 (runtime libraries)
- It is built using coroutines, allowing it to be completely asynchronous while
- remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
- VeNCrypt authentication extension providing SSL/TLS encryption with x509
- certificate authentication.
- .
- The core library is written in C and a bindings for other languages are
- available via GObject introspection. The networking layer supports connections
- over both IPv4 and IPv6.
- .
- This package contains the shared library built for GTK+2.
-
-Package: libgtk-vnc-1.0-dev
-Architecture: any
-Section: libdevel
-Depends:
- libcairo2-dev (>= 1.2.0),
- libgnutls28-dev,
- libgtk-vnc-1.0-0 (= ${binary:Version}),
- libgtk2.0-dev (>= 2.0),
- libgvnc-1.0-dev (= ${binary:Version}),
- ${misc:Depends},
-Description: VNC viewer widget for GTK+2 (development files)
- It is built using coroutines, allowing it to be completely asynchronous while
- remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
- VeNCrypt authentication extension providing SSL/TLS encryption with x509
- certificate authentication.
- .
- The core library is written in C and a bindings for other languages are
- available via GObject introspection. The networking layer supports connections
- over both IPv4 and IPv6.
- .
- This package contains the development headers for programs built against
- GTK+2.
 
 Package: libgtk-vnc-2.0-0
 Architecture: any

## gtk-vnc 1.3.0

=== debian/changelog ===
gtk-vnc (1.3.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release (Closes: #995058)
  * [1189652] Bump debhelper-compat to 13
  * [83f881d] Add new symbols
  * [0334af9] Add Build-Depends-Package to symbols file
  * [15fad88] Add Provides to the gir package for the expected typelib names
  * [ad9bfce] Cherry-pick patch to fix connections to Raspberry Pi OS

  [ Debian Janitor ]
  * [bf21fb2] Use secure copyright file specification URI
  * [69c5759] Set debhelper-compat version in Build-Depends
  * [c0f2db1] Set upstream metadata fields
  * [d6c6e33] Update standards version to 4.6.0, no changes needed

  [ Guido Günther ]
  * Add autopkgtest

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Apr 2022 17:14:01 -0400

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  dh-sequence-gir,
  gobject-introspection,
  intltool,
@@ -124,7 +124,9 @@
 Architecture: any
 Multi-Arch: same
 Provides:
- gir1.2-gvnc-1.0,
+ gir1.2-gvnc-1.0 (= ${binary:Version}),
+ gir1.2-gvncpulse-1.0 (= ${binary:Version}),
+ gir1.2-gtkvnc-2.0 (= ${binary:Version})
 Depends:
  ${gir:Depends},
  ${misc:Depends},

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ --builddirectory=_build

# We probably need to add a -common package for translations
override_dh_missing:
	dh_missing -Xusr/share/locale

=== debian/tests/control ===
# Make sure we have deps basically right
Test-Command: gvncviewer --help
Depends: gvncviewer
Restrictions: superficial

# Make sure gir works
Test-Command: xvfb-run python3 examples/gvncviewer.py 127.0.0.1
Depends: gir1.2-gtk-vnc-2.0, python3-gi, xvfb, xauth
Restrictions: superficial, allow-stderr

## gtk-vnc 1.3.1

=== debian/changelog ===
gtk-vnc (1.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * [c1889ad] Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 14:30:40 +0200

gtk-vnc (1.3.0-3) unstable; urgency=medium

  * [c40862e] Have libgvnc-1.0-dev depend on libpulse-dev per its pkgconfig
    file (Closes: #1011876, #1011895)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 26 May 2022 16:48:24 -0400

gtk-vnc (1.3.0-2) unstable; urgency=medium

  * Team upload

  * [ac774fd] autopkgtest: Depend on at-spi2-core and drop allow-stderr
  * [8da51f1] Add additional Depends to match pkgconfig file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 May 2022 17:15:48 -0400

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  intltool,
  libcairo2-dev,
  libffi-dev,
- libgcrypt20-dev (>= 1.5.0),
+ libgcrypt20-dev (>= 1.8.0),
  libgirepository1.0-dev,
- libglib2.0-dev (>= 2.42.0),
+ libglib2.0-dev (>= 2.56.0),
  libgnutls28-dev (>= 3.1.18),
  libgtk-3-dev,
  libpulse-dev,
@@ -57,9 +57,13 @@
 Section: libdevel
 Depends:
  libcairo2-dev (>= 1.2.0),
- libglib2.0-dev,
+ libgcrypt20-dev (>= 1.8.0),
+ libgdk-pixbuf-2.0-dev (>= 2.36.0),
+ libglib2.0-dev (>= 2.56.0),
  libgnutls28-dev,
  libgvnc-1.0-0 (= ${binary:Version}),
+ libpulse-dev (>= 11.0),
+ libsasl2-dev (>= 2.1.27),
  ${misc:Depends},
 Replaces:
  libgtk-vnc-1.0-dev (<= 0.4.3-1),

=== debian/tests/control ===
# Make sure we have deps basically right
Test-Command: gvncviewer --help
Depends: gvncviewer
Restrictions: superficial

# Make sure gir works
Test-Command: xvfb-run python3 examples/gvncviewer.py 127.0.0.1
Depends: gir1.2-gtk-vnc-2.0, python3-gi, xvfb, xauth, at-spi2-core
Restrictions: superficial

## gtk-vnc 1.4.0

=== debian/changelog ===
gtk-vnc (1.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * [762874e] debian/libgvnc-1.0-0.symbols: Add new symbol
  * [3b02ab8] Replace Build-Depends: libgcrypt20-dev with libgmp-dev
  * [25fe53c] Enable all auto features except for gi-docgen
  * [f495296] libg*-dev: Add Depends: ${gir:Depends} & Provides: ${gir:Provides}
  * [cc6f9f6] Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 11:50:32 -0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir,
@@ -12,9 +12,9 @@
  intltool,
  libcairo2-dev,
  libffi-dev,
- libgcrypt20-dev (>= 1.8.0),
  libgirepository1.0-dev,
  libglib2.0-dev (>= 2.56.0),
+ libgmp-dev,
  libgnutls28-dev (>= 3.1.18),
  libgtk-3-dev,
  libpulse-dev,
@@ -57,14 +57,16 @@
 Section: libdevel
 Depends:
  libcairo2-dev (>= 1.2.0),
- libgcrypt20-dev (>= 1.8.0),
  libgdk-pixbuf-2.0-dev (>= 2.36.0),
  libglib2.0-dev (>= 2.56.0),
+ libgmp-dev,
  libgnutls28-dev,
  libgvnc-1.0-0 (= ${binary:Version}),
  libpulse-dev (>= 11.0),
  libsasl2-dev (>= 2.1.27),
+ ${gir:Depends},
  ${misc:Depends},
+Provides: ${gir:Provides}
 Replaces:
  libgtk-vnc-1.0-dev (<= 0.4.3-1),
 Description: VNC GObject wrapper (development files)
@@ -109,7 +111,9 @@
  libgtk-3-dev,
  libgtk-vnc-2.0-0 (= ${binary:Version}),
  libgvnc-1.0-dev (= ${binary:Version}),
+ ${gir:Depends},
  ${misc:Depends},
+Provides: ${gir:Provides}
 Description: VNC viewer widget for GTK+3 (development files)
  It is built using coroutines, allowing it to be completely asynchronous while
  remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the

## gtk-vnc 1.5.0

=== meson_options.txt ===
option('introspection', type: 'feature', value: 'auto', description: 'Enable introspection for this build')
option('pulseaudio', type: 'feature', value: 'auto', description: 'Build the pulseaudio bridge for VNC client connections')
option('sasl', type: 'feature', value: 'auto', description: 'Build with SASL support')
option('with-coroutine', type: 'string', value: 'auto', description: 'Build with coroutine backend: [auto, ucontext, libucontext, gthread, winfibre]')
option('with-tls-priority', type: 'string', value: 'NORMAL', description: 'Set default TLS priority string')
option('with-vala', type: 'feature', value: 'auto', description: 'Enable Vala bindings')
option('gi-docs', type: 'feature', value: 'auto', description: 'Build API reference')
option('valgrind', type : 'boolean', value : false, description : 'Enable Valgrind support')

=== debian/changelog ===
gtk-vnc (1.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * [4f58aa2] debian/*.symbols: Add new symbols
  * [61d6436] Remove obsolete Breaks/Replaces & Build-Conflicts

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 10:53:36 -0500

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
-Uploaders:
- Guido Günther <agx@sigxcpu.org>,
+Uploaders: Guido Günther <agx@sigxcpu.org>
 Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir,
- gobject-introspection,
+ gir1.2-gio-2.0-dev,
+ gir1.2-gobject-2.0-dev,
+ gir1.2-gtk-3.0-dev,
  intltool,
  libcairo2-dev,
  libffi-dev,
- libgirepository1.0-dev,
  libglib2.0-dev (>= 2.56.0),
  libgmp-dev,
  libgnutls28-dev (>= 3.1.18),
@@ -21,10 +21,7 @@
  libsasl2-dev,
  libtext-csv-perl,
  meson,
- valac (>= 0.20),
-Build-Conflicts:
- libffi4-dev,
- valac-0.12,
+ valac (>= 0.20)
 Vcs-Git: https://salsa.debian.org/libvirt-team/gtk-vnc.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/gtk-vnc
 Homepage: https://wiki.gnome.org/Projects/gtk-vnc
@@ -33,13 +30,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Replaces:
- libgtk-vnc-1.0-0 (<= 0.4.3-1),
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: VNC GObject wrapper (runtime libraries)
  It is built using coroutines, allowing it to be completely asynchronous while
  remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
@@ -65,10 +56,8 @@
  libpulse-dev (>= 11.0),
  libsasl2-dev (>= 2.1.27),
  ${gir:Depends},
- ${misc:Depends},
+ ${misc:Depends}
 Provides: ${gir:Provides}
-Replaces:
- libgtk-vnc-1.0-dev (<= 0.4.3-1),
 Description: VNC GObject wrapper (development files)
  It is built using coroutines, allowing it to be completely asynchronous while
  remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
@@ -86,9 +75,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: VNC viewer widget for GTK+3 (runtime libraries)
  It is built using coroutines, allowing it to be completely asynchronous while
  remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
@@ -105,14 +92,13 @@
 Architecture: any
 Section: libdevel
 Depends:
- gir1.2-gtk-vnc-2.0 (= ${binary:Version}),
  libcairo2-dev (>= 1.2.0),
  libgnutls28-dev,
  libgtk-3-dev,
  libgtk-vnc-2.0-0 (= ${binary:Version}),
  libgvnc-1.0-dev (= ${binary:Version}),
  ${gir:Depends},
- ${misc:Depends},
+ ${misc:Depends}
 Provides: ${gir:Provides}
 Description: VNC viewer widget for GTK+3 (development files)
  It is built using coroutines, allowing it to be completely asynchronous while
@@ -131,14 +117,8 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Provides:
- gir1.2-gvnc-1.0 (= ${binary:Version}),
- gir1.2-gvncpulse-1.0 (= ${binary:Version}),
- gir1.2-gtkvnc-2.0 (= ${binary:Version})
-Depends:
- ${gir:Depends},
- ${misc:Depends},
- ${shlibs:Depends},
+Provides: ${gir:Provides}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for GTK-VNC
  This package contains introspection data for the GTK-VNC library.
  .
@@ -153,9 +133,7 @@
 Package: gvncviewer
 Architecture: any
 Section: x11
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: VNC viewer using gtk-vnc
  It is built using coroutines, allowing it to be completely asynchronous while
  remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 %:
 	dh $@ --builddirectory=_build
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dauto_features=enabled \
+		-Dgi-docs=disabled
+
 # We probably need to add a -common package for translations
 override_dh_missing:
 	dh_missing -Xusr/share/locale

=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,5 @@
 
 # Make sure gir works
 Test-Command: xvfb-run python3 examples/gvncviewer.py 127.0.0.1
-Depends: gir1.2-gtk-vnc-2.0, python3-gi, xvfb, xauth, at-spi2-core
+Depends: at-spi2-core, gir1.2-gtk-vnc-2.0, python3-gi, xauth, xvfb
 Restrictions: superficial
